Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicButtonListener

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicButtonListener

All Implemented Interfaces:
  ChangeListener, EventListener, FocusListener, MouseListener, MouseMotionListener, PropertyChangeListener

public class BasicButtonListener
extends Object
implements MouseListener, MouseMotionListener, FocusListener, ChangeListener, PropertyChangeListener

Button Listener

Constructor Summary
`BasicButtonListener(AbstractButton b)`

Method Summary
`protected void` | `checkOpacity(AbstractButton b)`
`void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.
`void` | `installKeyboardActions(JComponent c)` Register default key actions: pressing space to "click" a button and registring the keyboard mnemonic (if any).
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.
`void` | `uninstallKeyboardActions(JComponent c)` Unregister's default key actions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicButtonListener

    public BasicButtonListener(AbstractButton b)

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.
  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Following copied from interface: `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

### checkOpacity

    protected void checkOpacity(AbstractButton b)

### installKeyboardActions

    public void installKeyboardActions(JComponent c)

  Register default key actions: pressing space to "click" a button and registring the keyboard mnemonic (if any).

### uninstallKeyboardActions

    public void uninstallKeyboardActions(JComponent c)

  Unregister's default key actions

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from interface: `ChangeListener`
  Invoked when the target of the listener has changed its state.
  Specified by:
    `stateChanged` in interface `ChangeListener`
  Following copied from interface: `javax.swing.event.ChangeListener`
  Parameters:
    `e` - a ChangeEvent object

### focusGained

    public void focusGained(FocusEvent e)

  Description copied from interface: `FocusListener`
  Invoked when a component gains the keyboard focus.
  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Description copied from interface: `FocusListener`
  Invoked when a component loses the keyboard focus.
  Specified by:
    `focusLost` in interface `FocusListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when the mouse button has been moved on a component (with no buttons no down).
  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).
  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when the mouse has been clicked on a component.
  Specified by:
    `mouseClicked` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been pressed on a component.
  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been released on a component.
  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when the mouse enters a component.
  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when the mouse exits a component.
  Specified by:
    `mouseExited` in interface `MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.